%define UNIONVERS #UNION#
%define KERNELVERS #KERNEL#
%{expand: %%define KERNELVER %(echo %{KERNELVERS} | tr '-' '_')}

%define debug_package %{nil}

Name: unionfs
Version: %{UNIONVERS}
Release: %{KERNELVER}
Summary: Unionfs is a stackable unification file system
License: GPL
Group: Applications/System
Url: http://www.am-utils.org/project-unionfs.html
Source0: ftp://ftp.fsl.cs.sunysb.edu/pub/unionfs/unionfs-%{UNIONVERS}.tar.gz
Patch: unionfs-%{UNIONVERS}-patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kernel = %{KERNELVERS}
BuildRequires: e2fsprogs-devel

%description
Unionfs is a stackable unification file system, which can appear to
merge the contents of several directories (branches), while keeping
their physical content separate.  Unionfs is useful for unified source
tree management, merged contents of split CD-ROM, merged separate
software package directories, data grids, and more.  Unionfs allows
any mix of read-only and read-write branches, as well as insertion and
deletion of branches anywhere in the fan-out.

%prep
%setup -q -n unionfs-%{UNIONVERS}
%patch -p1

%build
make KVERS=%{KERNELVERS}

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
mkdir ${RPM_BUILD_ROOT}

make KVERS=%{KERNELVERS} \
     MODPREFIX=${RPM_BUILD_ROOT} \
     PREFIX=${RPM_BUILD_ROOT} \
     install
mkdir -p ${RPM_BUILD_ROOT}/unionfs/writeable
mkdir -p ${RPM_BUILD_ROOT}/unionfs/readonly

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/modules/%{KERNELVERS}/kernel/fs/unionfs/unionfs.ko
/man/man4/unionfs.4
/man/man8/unionctl.8
/man/man8/uniondbg.8
/sbin/unionctl
/sbin/uniondbg
/sbin/unionimap
/unionfs
